#
# spec file for package swww
#
# Copyright (c) 2022 SUSE LLC

# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           swww
Version:        0.4.3+git14
Release:        bp155.2.6
Summary:        Wallpaper daemon for Wayland
License:        GPL-3.0-only
URL:            https://github.com/Horus645/swww
Source0:        %{name}-%{version}.tar.xz
Source1:        vendor.tar.xz
Source2:        cargo_config
BuildRequires:  cargo-packaging
BuildRequires:  rust+cargo
BuildRequires:  pkgconfig(liblz4)
BuildRequires:  pkgconfig(xkbcommon)

%description
swww is a wallpaper daemon for Wayland that is controlled
at runtime. It uses LZ4 compression for frame animations
for animated wallpapers.

%package        bash-completion
Summary:        Bash Completion for %{name}
Group:          System/Shells
Supplements:    (%{name} and bash-completion)
Requires:       bash-completion
BuildArch:      noarch

%description    bash-completion
Bash command-line completion support for %{name}.

%package        fish-completion
Summary:        Fish Completion for %{name}
Group:          System/Shells
Supplements:    (%{name} and fish)
Requires:       fish
BuildArch:      noarch

%description    fish-completion
Fish command-line completion support for %{name}.

%package        zsh-completion
Summary:        Zsh Completion for %{name}
Group:          System/Shells
Supplements:    (%{name} and zsh)
Requires:       zsh
BuildArch:      noarch

%description    zsh-completion
Zsh command-line completion support for %{name}.

%prep
%autosetup -a1
mkdir .cargo
cp %{SOURCE2} .cargo/config

%build
%{cargo_build}

%install
install -Dm644 -T completions/swww.bash  %{buildroot}%{_datadir}/bash-completion/completions/swww
install -Dm644 -T completions/swww.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/swww.fish
install -Dm644 -T completions/_swww %{buildroot}%{_datadir}/zsh/site-functions/_swww
%{cargo_install}

%files
%{_bindir}/swww
%license LICENSE
%doc CHANGELOG.md README.md

%files bash-completion
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/swww

%files fish-completion
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%{_datadir}/fish/vendor_completions.d/swww.fish

%files zsh-completion
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_swww

%changelog
* Mon Oct 10 2022 Jan Engelhardt <jengelh@inai.de>
- Trim excess marketing from description
* Sun Oct  9 2022 socvirnyl.estela@gmail.com
- Update to version 0.4.3+git14:
  * bump dependencies (clap went from 3.x to 4.x)
  * Render the cursor on an empty desktop
  * Fixed a typo
  * This protocol is not actually required / used
  * Use safer type conversion
  * docs: Put type in backticks
  * Formatting
  * Simplify closure that just calls a function
  * Avoid copying data unnecessarily
  * Remove unnecessary Option
- Install shell completions for zsh, bash, and fish
* Sun Oct  9 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Initial spec for swww version 0.4.3
